Subject: RE: Acronims' ambiquity

From: Bob Braden <[email-masked]>
Date: Wed, 7 Jun 2000 19:37:37 GMT

*> 
  *> I find it odd that, although ISOC is the copyright holder of the RFCs
  *> (as 2026 states) the ISOC website isn't publishing its own RFCs,
  *> providing a list of mirrors, or even listing them as publications - at
  *> least I couldn't find anything under
  *> http://www.isoc.org/isoc/publications/
  *> 
Lloyd,

Does it come as a surprise to you to know that the ISOC has contracted
to the RFC Editor to publish RFCs, etc.?  So, the ISOC *does* "publish
its own RFCs".

Bob Braden

---

From: Lloyd Wood <[email-masked]>
Date: Wed, 7 Jun 2000 21:46:17 +0100 (BST)

On Wed, 7 Jun 2000, Bob Braden wrote:

> to the RFC Editor to publish RFCs, etc.?

...and I couldn't find an RFC archive under
http://www.rfc-editor.org/ either, come to think of it.

The links from that website to archives are all to ftp.isi.edu, which
is physically the same class B network at present, but hey, only the
namespace matters; at present (legacy apart) ISI is publishing the
RFCs which ISOC has contracted with the RFC Editor to publish. I must
infer a subcontract from the implicit trust infrastructure...

(Rename the relevant links under http://www.rfc-editor.org/ to use
 ftp.rfc-editor.org instead of ftp.isi.edu, and that
 'RFC editor publishes' argument becomes less quibbly and arguably
 more futureproof.)

>  So, the ISOC *does* "publish its own RFCs".

...twice removed at present. And I _did_ say 'ISOC website'.

L.

'ISOC RFC2026, published by the Information Sciences Institute (ISI) 
 on behalf of the RFC Editor, under nonexclusive open licence from the
 Internet Society (ISOC) as copyright holder.' That should do it.
 I knew my 'References' section needed to be longer.

<[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 07 Jun 2000 16:34:20 -0500

Lloyd,

Just to review the actual facts one more time:

The IAB is responsible for the RFC-Editor function under its charter, RFC 2850.

At the IAB's request, the ISOC sub-contracted the RFC-Editor function to ISI.

At the IETF's request (RFC 2026), the ISOC holds copyright on RFCs to protect them
against unauthorized modification. It has to be the ISOC, because the IETF
itself is not incorporated.

Since ISI is the contractor, it is perfectly normal that the archive is
on an ISI server. There are also many mirror sites.

And contrary to what someone else stated, the IETF is not part of the ISOC.
The relationship is described in RFC 2031.

   Brian

---

From: Joe Touch <[email-masked]>
Date: Thu, 08 Jun 2000 11:26:15 -0700

> itself is not incorporated.

Does this copyright predate RFC2026?

(seems that, at some point in the past, there was no overarching
authority who held copyright other than the authors ??)

Joe